<idea-plugin version="2" xmlns:xi="http://www.w3.org/2001/XInclude">

  <vendor>Alexey Efimov</vendor>

  <resource-bundle>org.intellij.images.ImagesBundle</resource-bundle>

  <extensions defaultExtensionNs="com.intellij">
    <errorHandler implementation="com.intellij.diagnostic.ITNReporter"/>
    <applicationConfigurable implementation="org.intellij.images.options.impl.OptionsConfigurabe"/>
    <fileEditorProvider implementation="org.intellij.images.editor.impl.ImageFileEditorProvider"/>
    <selectInTarget implementation="org.intellij.images.thumbnail.impl.ThumbnailSelectInTarget"/>
    <applicationService serviceInterface="org.intellij.images.options.OptionsManager"
                        serviceImplementation="org.intellij.images.options.impl.OptionsManagerImpl"/>
    <projectService serviceInterface="org.intellij.images.thumbnail.ThumbnailManager"
                    serviceImplementation="org.intellij.images.thumbnail.impl.ThumbnailManagerImpl"/>
    <fileTypeFactory implementation="org.intellij.images.fileTypes.impl.ImageFileTypeManagerImpl" />
    <fileBasedIndex implementation="org.intellij.images.index.ImageInfoIndex"/>
    <fileLookupInfoProvider implementation="org.intellij.images.completion.ImageLookupInfoProvider"/>
    <documentationProvider implementation="org.intellij.images.fileTypes.ImageDocumentationProvider"/>
  </extensions>

  <application-components>
    <component>
      <interface-class>org.intellij.images.fileTypes.ImageFileTypeManager</interface-class>
      <implementation-class>org.intellij.images.fileTypes.impl.ImageFileTypeManagerImpl</implementation-class>
    </component>
  </application-components>

  <actions>
    <action class="org.intellij.images.actions.EditExternalyAction"
            id="Images.EditExternaly"
            icon="/org/intellij/images/icons/EditExternaly.png"
            text="Open image in external editor">
      <keyboard-shortcut first-keystroke="control alt F4" keymap="$default"/>
      <add-to-group anchor="after" group-id="ProjectViewPopupMenu" relative-to-action="EditSource"/>
    </action>
    <action class="org.intellij.images.actions.ShowThumbnailsAction"
            id="Images.ShowThumbnails" text="Show image thumbnails">
      <keyboard-shortcut first-keystroke="shift control T" keymap="$default"/>
      <add-to-group anchor="after" group-id="ProjectViewPopupMenu" relative-to-action="AddToFavorites"/>
    </action>
    <action class="org.intellij.images.actions.ToggleTransparencyChessboardAction"
            id="Images.ToggleTransparencyChessboard"
            icon="/org/intellij/images/icons/ToggleTransparencyChessboard.png"
            text="Show Chessboard">
    </action>
    <group id="Images.EditorToolbar">
      <reference id="Images.ToggleTransparencyChessboard"/>
      <action class="org.intellij.images.editor.actions.ToggleGridAction"
              id="Images.Editor.ToggleGrid"
              icon="/org/intellij/images/icons/ToggleGrid.png"
              text="Show Grid">
        <keyboard-shortcut first-keystroke="control QUOTE" keymap="$default"/>
      </action>
      <separator/>
      <action class="org.intellij.images.editor.actions.ZoomInAction"
              id="Images.Editor.ZoomIn"
              icon="/org/intellij/images/icons/ZoomIn.png"
              text="Zoom In">
        <keyboard-shortcut first-keystroke="control ADD" keymap="$default"/>
        <keyboard-shortcut first-keystroke="control EQUALS" keymap="$default"/>
      </action>
      <action class="org.intellij.images.editor.actions.ZoomOutAction"
              id="Images.Editor.ZoomOut"
              icon="/org/intellij/images/icons/ZoomOut.png"
              text="Zoom Out">
        <keyboard-shortcut first-keystroke="control SUBTRACT" keymap="$default"/>
        <keyboard-shortcut first-keystroke="control MINUS" keymap="$default"/>
      </action>
      <action class="org.intellij.images.editor.actions.ActualSizeAction"
              id="Images.Editor.ActualSize"
              icon="/org/intellij/images/icons/ActualSize.png"
              text="Zoom to actual size">
        <keyboard-shortcut first-keystroke="control DIVIDE" keymap="$default"/>
        <keyboard-shortcut first-keystroke="control SLASH" keymap="$default"/>
      </action>
    </group>
    <group id="Images.EditorPopupMenu">
      <reference id="CutCopyPasteGroup"/>
      <separator/>
      <reference id="FindUsages"/>
      <reference id="RefactoringMenu"/>
      <separator/>
      <reference id="Images.EditorToolbar"/>
      <separator/>
      <reference id="CloseEditor"/>
      <separator/>
      <reference id="AddToFavorites"/>
      <separator/>
      <reference id="VersionControlsGroup"/>
      <separator/>
      <reference id="Images.EditExternaly"/>
      <reference id="ExternalToolsGroup"/>
    </group>
    <group id="Images.ThumbnailsToolbar">
      <action class="org.intellij.images.thumbnail.actions.UpFolderAction"
              id="Images.Thumbnails.UpFolder"
              icon="/nodes/upFolder.png">
        <keyboard-shortcut first-keystroke="BACK_SPACE" keymap="$default"/>
      </action>
      <action class="org.intellij.images.thumbnail.actions.ToggleRecursiveAction"
              id="Images.Thumbnails.ToggleRecursive"
              icon="/objectBrowser/flattenPackages.png">
        <keyboard-shortcut first-keystroke="control MULTIPLY" keymap="$default"/>
      </action>
      <separator/>
      <reference id="Images.ToggleTransparencyChessboard"/>
      <separator/>
      <action class="org.intellij.images.thumbnail.actions.HideThumbnailsAction"
              id="Images.Thumbnails.Hide"
              icon="/actions/cancel.png">
        <keyboard-shortcut first-keystroke="control F4" keymap="$default"/>
      </action>
    </group>
    <group id="Images.ThumbnailsPopupMenu">
      <reference id="CutCopyPasteGroup"/>
      <reference id="EditSource"/>
      <action class="org.intellij.images.thumbnail.actions.EnterAction"
              id="Images.Thumbnails.EnterAction">
        <keyboard-shortcut first-keystroke="ENTER" keymap="$default"/>
      </action>
      <separator/>
      <reference id="Images.ThumbnailsToolbar"/>
      <separator/>
      <reference id="FindUsages"/>
      <reference id="RefactoringMenu"/>
      <separator/>
      <reference id="AddToFavorites"/>
      <separator/>
      <reference id="$Delete"/>
      <separator/>
      <reference id="VersionControlsGroup"/>
      <reference id="CompareTwoFiles"/>
      <separator/>
      <reference id="Images.EditExternaly"/>
      <reference id="ExternalToolsGroup"/>
    </group>
  </actions>
</idea-plugin>